XSCH(1)

NAME
xsch - graphical schematic viewer

SYNOPSIS
xsch [-l file_name] [-xor] [-install] [-force] [-I input_format] [-slide file_name ...]

DESCRIPTION
Xsch is a graphical schematic viewer. All functionnalities can be accessed through different menus. Xsch works under Motif and X11r6. When entering Xsch, the main window appears and shows 5 different menus on the top bar. These menus can be entered by simply clicking on the mouse left button. Here is the description of these menus.

File
    Open : load an existing file. Note that a file with the same name and the extention .xsc can be used to attach special colors and comments to all displayed objects (see below for details).
    Quit : quit xsch.

Edit
    Identify : identify a selected object.
    Connected : highlight a selected object.
    Search : search an object by its name.

View
    Zoom : perform zoom in, zoom out, center, fit, refresh on figure.
    Layer : select types of layers displayed.
    Map : show cursor position in the entire figure.
    Arrows : show arrows for moving at the grid step.
    Grid : Set the X,Y step of the grid if displayed.

Tools
    Hierarchy : enable user to browse into the design hierarchy.
    Message : display the last error messages

Setup
    Save or load a user defined configuration of default displayed menus.

SPECIAL KEYS

+/- Next or previous file in slide mode.

OPTIONS

-l file_name
    Load the file file_name (with or without extention)

-xor
    Two graphic cursor methods can be used, invert or xor.

-force
    this option force all graphical objects to be displayed.

-install
    Switch to a private color map.

-I input_format
    Specifies the input format (vst(5), al(5), vbe(5))

-slide file_name ...
    Enables slide mode, all specifies files will be displayed one by one using keys +/- in the graphic window.

XSC FILE FORMAT
# Example of .xsc file
#
# To attach a particular color and comment to a box :
# B:box_name:color:comment
# color is an integer from 0 to 32, or -1 for no_color
# comment is a string
B:my_box:0:this box should be blue
B:another_box:-1:this won't change the box color
#
# To attach a particular color and comment to a net :
# N:net_name:color:comment
N:my_net:15:this net should be green
#
# To attach a particular color and comment to a connector :
# C:connector_name:color:comment
C:my_con:32:this connector should be red
#
# To attach a particular color and comment to a path :
# P:from_name:net_name:to_name:color:comment
P:my_con:my_net:my_box:15:this path should be green

ENVIRONMENT VARIABLES

MBK_CATA_LIB
    indicates the path to the read only libraries to be used.

MBK_WORK_LIB
    indicates the path to the read directory for the session.

MBK_IN_LO
    indicates the file format to be used.

XSCH_PARAM_NAME (optionnal)
    indicates the path to the parameter file used by Xsch.

SEE ALSO
mbk(1), MBK_CATA_LIB(1), MBK_WORK_LIB(1), PAT(5), asimut(1)